# List account accumulators List account accumulators. *NOTE*: This endpoint requires an account-specific access token. # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Core platform - Accumulator", "version": "1.0.0", "description": "API to accumulate transaction amounts for fee collection.", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io/accumulator", "description": "Sandbox API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Accumulators", "description": "Account accumulator endpoints" } ], "components": { "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account access token. Tokens can expire quickly, which can result in an \"401 Unauthorized\" error.", "bearerFormat": "JWT" } }, "parameters": { "AccountIdPath": { "in": "path", "name": "accountId", "required": true, "description": "Pismo account ID", "schema": { "type": "string", "example": "100094" } }, "CidHeader": { "in": "header", "name": "x-cid", "description": "The Correlation IDentifier field is used to link related API requests and events. The CID can help the Pismo engineering team track everything related to a call. If not passed, a random one is generated. You can find the CID in the reponse header.\n", "schema": { "type": "string", "example": "c737895c-8159-4c0c-a92a-a4f8600bff37" } }, "TenantHeader": { "in": "header", "name": "x-tenant", "description": "Organization/tenant ID", "schema": { "type": "string", "example": "TN-beaecb37-d149-4674-a485-af0d11e40d85" } } }, "schemas": { "AccumulatedAmount": { "type": "number", "description": "Current accumulator amount", "format": "float", "example": 1490.9 }, "AccumulatedQuantity": { "type": "number", "description": "Current accumulator quantity", "format": "int64", "example": 190 }, "Accumulator": { "type": "object", "properties": { "identifier": { "$ref": "#/components/schemas/Identifier" }, "accumulated_amount": { "$ref": "#/components/schemas/AccumulatedAmount" }, "accumulated_quantity": { "$ref": "#/components/schemas/AccumulatedQuantity" } } }, "AccumulatorsResponse": { "allOf": [ { "type": "object", "properties": { "items": { "type": "array", "items": { "oneOf": [ { "$ref": "#/components/schemas/Accumulator" } ] } } } } ] }, "ErrorModel": { "type": "object", "properties": { "code": { "type": "string", "description": "Code the error internal", "example": "EACM9999" }, "message": { "type": "string", "description": "Message that describes the error.", "example": "An Internal Server Error found, please contact the administrator" } } }, "Identifier": { "type": "string", "description": "Client-assigned accumulator configuration identifier for client tracking purposes. This identifier is used to create an accumulator fee model.\n", "example": "total_cashout_config" } } }, "paths": { "/v1/accounts/{accountId}/accumulators": { "get": { "summary": "List account accumulators", "description": "List account accumulators. \n\n*NOTE*: This endpoint requires an account-specific access token.\n", "operationId": "search-account-accumulators", "tags": [ "Accumulators" ], "parameters": [ { "$ref": "#/components/parameters/AccountIdPath" }, { "$ref": "#/components/parameters/TenantHeader" }, { "$ref": "#/components/parameters/CidHeader" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/AccumulatorsResponse" } } } }, "500": { "description": "Internal server error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorModel" } } } } } } } } } ```